## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       git-autofixup
Version:    0.004007
Release:    %autorelease

Summary:    Autofixup - create fixup commits for topic branches

License:    Artistic-2.0
URL:        https://github.com/torbiak/git-autofixup/
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TORBIAK/App-Git-Autofixup-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl-macros
BuildRequires:  perl(:VERSION) >= 5.8.4
# Build
BuildRequires:  /usr/bin/make
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Test
BuildRequires:  git-core
BuildRequires:  perl(Cwd)
BuildRequires:  perl(English)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::More)

# The plugins needs only the basic functionalities of git
# git requires git-core so all users with git or git-all have it
Requires:       git-core

%description
git-autofixup parses hunks of changes in the working directory out of \
git diff output and uses git blame to assign those hunks to commits in \
<revision>..HEAD, which will typically represent a topic branch, and then \
creates fixup commits to be used with git rebase --interactive --autosquash. \
It is assumed that hunks near changes that were previously committed to \
the topic branch are related.


%prep
%setup -q -n App-Git-Autofixup-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*

%check
git config --global init.defaultBranch master
make test

%files
%doc Changes README.pod
%license LICENSE
%{_bindir}/git-autofixup
%{_mandir}/man1/git-autofixup.1*
%{_mandir}/man3/App::Git::Autofixup.3pm*
%{perl_vendorlib}/*

%changelog
## START: Generated by rpmautospec
* Fri Nov 15 2024 Lumir Balhar <lbalhar@redhat.com> - 0.004007-1
- Update to 0.004007 (rhbz#2326151)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.004006-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.004006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.004006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 08 2024 Lumir Balhar <lbalhar@redhat.com> - 0.004006-1
- Update to 0.004006 (rhbz#2257136)

* Wed Nov 01 2023 Lumir Balhar <lbalhar@redhat.com> - 0.004005-1
- Update to 0.004005 (rhbz#2246324)

* Thu Oct 19 2023 Lumir Balhar <lbalhar@redhat.com> - 0.004003-1
- Update to 0.004003 (rhbz#2244914)

* Tue Sep 19 2023 Lumír Balhar <lbalhar@redhat.com> - 0.004001-1
- Update to 0.004001 (rhbz#2239646)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.003001-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.003001-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.003001-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 30 2022 Jitka Plesnikova <jplesnik@redhat.com> - 0.003001-4
- Perl 5.36 rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.003001-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.003001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Lumír Balhar <lbalhar@redhat.com> - 0.003001-1
- Initial package

## END: Generated by rpmautospec
